Get a paginated list of interviews in a study
curl --request GET \
--url https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rallyuxr.com/api/public/v1/studies/{studyId}/interviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"interviewBookingId": "<string>",
"studyId": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"title": "<string>",
"description": "<string>",
"conferenceUrl": "<string>",
"observerRoomId": "<string>",
"participants": [
{
"email": "<string>",
"type": "PARTICIPANT",
"participantId": "<string>"
}
],
"hosts": [
{
"email": "<string>",
"type": "HOST",
"userId": "<string>"
}
],
"guests": [
{
"email": "<string>",
"type": "GUEST",
"userId": "<string>"
}
]
}
],
"total": 123,
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "<string>",
"endCursor": "<string>"
}
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}"Unauthorized""Forbidden""Too Many Requests""Internal Server Error"Studies
Get a paginated list of interviews in a study
Get a paginated list of interviews in a study
GET
/
studies
/
{studyId}
/
interviews
Get a paginated list of interviews in a study
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
The cursor to start from
The number of items to return
Required range:
x <= 100Example:
10
The states of the interview bookings to filter by. If nothing is provided, all states will be included.
Available options:
SCHEDULED, CANCELED, COMPLETED, NO_SHOWED ⌘I